'From Squeak6.0alpha of 8 October 2020 [latest update: #19909] on 29 November 2021 at 12:41:42 pm'!

!AbstractResizerMorph class methodsFor: 'preferences' stamp: 'tonyg 10/6/2020 00:49'!
gripThickness
	"A number in pixels that encodes the area were the user can target splitters or edge grips."

	<preference: 'Grip Thickness'
		category: 'windows'
		description: 'A number in pixels that encodes the area were the user can target splitters or edge grips such as in application windows. Bigger grips make it easier to click on them.'
		type: #Number>
		
	^ GripThickness ifNil: [(UserInterfaceTheme current get: #gripThickness) ifNil: [4]]! !

!AbstractResizerMorph class methodsFor: 'preferences' stamp: 'tonyg 10/6/2020 01:03'!
handleLength

	<preference: 'Handle Length'
		category: 'windows'
		description: 'AThe size of a grip handle if shown. Can be interpreted as width or height, depending of the resizer orientation. Does not affect the clickable area. See grip thickness for that.'
		type: #Number>
			
	^ HandleLength ifNil: [(UserInterfaceTheme current get: #handleLength) ifNil: [25]]! !


!ScrollPane class methodsFor: 'defaults' stamp: 'tonyg 10/6/2020 11:21'!
scrollBarThickness
	^ Preferences scrollBarsNarrow
		ifTrue: [(UserInterfaceTheme current get: #scrollBarThicknessNarrow) ifNil: [10]]
		ifFalse: [(UserInterfaceTheme current get: #scrollBarThickness) ifNil: [14]]! !

